summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Antonio Hernández Blas2010-05-11 22:21:41 +0200
committer David Somero2010-05-11 22:21:41 +0200
commit617e77774241cddb00e084fb1f11eeab614de9fc (patch)
tree6ab784c86ee6fa345a4500fc6ba731c1736450ed /desktop
parente6d2f97813b9a070bd3f135ddec5babe2d544ef4 (diff)
downloadslackbuilds-617e77774241cddb00e084fb1f11eeab614de9fc.tar.gz
desktop/blended: Updated for version 0.3
Diffstat (limited to 'desktop')
-rw-r--r--desktop/blended/blended.SlackBuild42
-rw-r--r--desktop/blended/blended.info6
2 files changed, 38 insertions, 10 deletions
diff --git a/desktop/blended/blended.SlackBuild b/desktop/blended/blended.SlackBuild
index ad03e65734..e85793c415 100644
--- a/desktop/blended/blended.SlackBuild
+++ b/desktop/blended/blended.SlackBuild
@@ -2,16 +2,32 @@
# Slackware build script for blended
-# Written by core (eroc@linuxmail.org)
-
-set -e
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=blended
PRGNAMALT=Blended
VERSION=0.3
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,8 +37,12 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -31,20 +51,28 @@ tar -jxvf $CWD/*-$PRGNAMALT-$VERSION.tar.bz2
mv $PRGNAMALT-$VERSION $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
KDEPREF=$(kde-config --prefix) || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=$KDEPREF
+ --prefix="$KDEPREF" \
+ --enable-shared=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
diff --git a/desktop/blended/blended.info b/desktop/blended/blended.info
index 8d0bb07ae4..2ac06fb2f0 100644
--- a/desktop/blended/blended.info
+++ b/desktop/blended/blended.info
@@ -3,6 +3,6 @@ VERSION="0.3"
HOMEPAGE="http://www.kde-look.org/content/show.php/Blended?content=32613"
DOWNLOAD="http://www.kde-look.org/CONTENT/content-files/32613-Blended-0.3.tar.bz2"
MD5SUM="da1c66b6018c1210666659de3e5754fa"
-MAINTAINER="core"
-EMAIL="eroc@linuxmail.org"
-APPROVED="BP{k}"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="David Somero"